Name:           libalvar
Version:        2.0.1
Release:        1%{?dist}
Summary:        library for creating AR applications

License:        LGPLv2+
URL:            http://virtual.vtt.fi/virtual/proj2/multimedia/alvar/desktop/index.html
Source0:        https://github.com/morxa/alvar/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: chrpath
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: freeglut-devel
BuildRequires: gcc-c++
BuildRequires: libglvnd-devel
BuildRequires: opencv-devel
BuildRequires: OpenSceneGraph-devel


%description
ALVAR is a software library for creating virtual and augmented reality (AR)
applications.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -p1 -n alvar-%{version}

%build
mkdir -p build_fedora
pushd build_fedora
%cmake ..
%make_build


%install
pushd build_fedora
%make_install
mkdir -p %{buildroot}/%{_libdir}
mv %{buildroot}/%{_bindir}/*.so  %{buildroot}/%{_libdir}
install -p -m 0644 -D src/Alvar.h %{buildroot}/%{_includedir}/alvar/Alvar.h
install -p -m 0644 ../src/*.h %{buildroot}/%{_includedir}/alvar/
pushd sample
for file in sample* ; do
  install -p $file %{buildroot}%{_bindir}/alvar$file
done
popd
rm -f %{buildroot}/%{_bindir}/*.{xml,png,osg}
rm -f %{buildroot}/%{_prefix}/LICENSE
rm -rf %{buildroot}/%{_prefix}/doc
find %{buildroot}/%{_libdir} -name "*.so*" -exec chrpath  -d '{}' \;
find %{buildroot}/%{_bindir} -exec chrpath  -d '{}' \;

%files
%license LICENSE
%doc README
%doc doc/ALVAR.pdf
%{_bindir}/alvar*
%{_libdir}/*

%files devel
%{_includedir}/alvar/*



%changelog
* Thu May 18 2017 Till Hofmann <till.hofmann@posteo.de> - 2.0.1-1
- Update to 2.0.1

* Tue May 02 2017 Till Hofmann <till.hofmann@posteo.de> - 2.0.0-8
- Do not move alvar plugins to libdir, but keep them in bindir

* Sun Apr 30 2017 Till Hofmann <till.hofmann@posteo.de> - 2.0.0-7
- Also install sample programs

* Sat Apr 29 2017 Till Hofmann <till.hofmann@posteo.de> - 2.0.0-6
- Fix install dir for header files

* Sat Apr 29 2017 Till Hofmann <till.hofmann@posteo.de> - 2.0.0-5
- Add patch to build with opencv3

* Thu Apr 27 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.0.0-4
- Add missing BRs

* Thu Apr 27 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.0.0-3
- Remove non-binary files from _bindir

* Thu Apr 27 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.0.0-2
- Install all headers from src/*.h

* Thu Apr 27 2017 Till Hofmann <till.hofmann@posteo.de>
- Initial package
